=== debian/control ===
Source: ros-foxy-mavros-extras
Section: misc
Priority: optional
Maintainer: Vladimir Ermakov <vooon341@gmail.com>
Build-Depends: debhelper (>= 9.0.0), geographiclib-tools, google-mock <!nocheck>, libeigen3-dev, libgeographic-dev, libgtest-dev <!nocheck>, libyaml-cpp-dev, ros-foxy-ament-cmake, ros-foxy-ament-cmake-gmock <!nocheck>, ros-foxy-ament-cmake-gtest <!nocheck>, ros-foxy-ament-cmake-python, ros-foxy-ament-lint-auto <!nocheck>, ros-foxy-ament-lint-common <!nocheck>, ros-foxy-angles, ros-foxy-diagnostic-msgs, ros-foxy-diagnostic-updater, ros-foxy-eigen-stl-containers, ros-foxy-eigen3-cmake-module, ros-foxy-geographic-msgs, ros-foxy-geometry-msgs, ros-foxy-libmavconn, ros-foxy-mavlink, ros-foxy-mavros, ros-foxy-mavros-msgs, ros-foxy-message-filters, ros-foxy-nav-msgs, ros-foxy-pluginlib, ros-foxy-rclcpp, ros-foxy-rclcpp-components, ros-foxy-rcpputils, ros-foxy-sensor-msgs, ros-foxy-std-msgs, ros-foxy-std-srvs, ros-foxy-tf2-eigen, ros-foxy-tf2-ros, ros-foxy-trajectory-msgs, ros-foxy-urdf, ros-foxy-visualization-msgs, ros-foxy-yaml-cpp-vendor, ros-foxy-ros-workspace
Homepage: http://wiki.ros.org/mavros_extras
Standards-Version: 3.9.2

Package: ros-foxy-mavros-extras
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, geographiclib-tools, libeigen3-dev, libgeographic-dev, libyaml-cpp-dev, ros-foxy-diagnostic-msgs, ros-foxy-diagnostic-updater, ros-foxy-eigen-stl-containers, ros-foxy-eigen3-cmake-module, ros-foxy-geographic-msgs, ros-foxy-geometry-msgs, ros-foxy-libmavconn, ros-foxy-mavlink, ros-foxy-mavros, ros-foxy-mavros-msgs, ros-foxy-message-filters, ros-foxy-nav-msgs, ros-foxy-pluginlib, ros-foxy-rclcpp, ros-foxy-rclcpp-components, ros-foxy-rcpputils, ros-foxy-rosidl-default-runtime, ros-foxy-sensor-msgs, ros-foxy-std-msgs, ros-foxy-std-srvs, ros-foxy-tf2-eigen, ros-foxy-tf2-ros, ros-foxy-trajectory-msgs, ros-foxy-urdf, ros-foxy-visualization-msgs, ros-foxy-yaml-cpp-vendor, ros-foxy-ros-workspace
Description: Extra nodes and plugins for MAVROS.
